## octave-nlwing2 1.1.1

=== DESCRIPTION ===
Name: NLWing2
Version: 1.1.1
Date: 2009-03-02
Author: Jaroslav Hajek <highegg@gmail.com>
Title: Nonlinear Lifting Line for Wings 
Maintainer: Jaroslav Hajek <highegg@gmail.com>
Description: This package allows efficient computation of nonlinear aerodynamic
properties of a wing. It employs 2D section data to build a 3D potential vortex
model of the flow. It uses a robust Euler-Newton method to track the change of
flow vorticity quantities as the angle of attack progresses.
License: GPL v3
Depends: octave (>= 3.0.0)

=== src/Makefile ===
# Copyright (C) 2008  VZLU Prague, a.s., Czech Republic
# 
# Author: Jaroslav Hajek <highegg@gmail.com>
# 
# This file is part of NLWing2.
# 
# NLWing2 is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this software; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.
# 

MKOCTFILE=mkoctfile

all: vitensor.oct

vitensor.oct: vitensor.cc vitens.f
	$(MKOCTFILE) -o $@ $^
clean:
	rm -f *.o *.oct

## octave-nlwing2 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: NLWing2
-Version: 1.1.1
+Version: 1.2.0
 Date: 2009-03-02
 Author: Jaroslav Hajek <highegg@gmail.com>
 Title: Nonlinear Lifting Line for Wings

=== src/Makefile ===
--- 
+++ 
@@ -21,9 +21,12 @@
 
 MKOCTFILE=mkoctfile
 
-all: vitensor.oct
+all: vitensor.oct biotsavart.oct
 
 vitensor.oct: vitensor.cc vitens.f
 	$(MKOCTFILE) -o $@ $^
+
+biotsavart.oct: biotsavart.cc bisanb.f bisanc.f bisanf.f bisavb.f bisavc.f bisavf.f
+	$(MKOCTFILE) -o $@ $^
 clean:
 	rm -f *.o *.oct

=== debian/changelog ===
octave-nlwing2 (1.2.0-2) unstable; urgency=low

  * Upload to unstable
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Tue, 19 Apr 2011 22:21:19 +0200

octave-nlwing2 (1.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571919)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 

 -- Thomas Weber <tweber@debian.org>  Fri, 03 Sep 2010 22:34:48 +0200

octave-nlwing2 (1.1.1-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * Build against octave3.2. 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 08 Dec 2009 23:00:42 +0100

octave-nlwing2 (1.1.1-2) unstable; urgency=low

  * debian/patches/autoload-yes.diff: Add patch for autoloading the
    package when Octave starts
  * debian/rules: Include patchsys-quilt.mk
  * debian/control: Build-Depends on  quilt
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 18:48:42 +0200

octave-nlwing2 (1.1.1-1) unstable; urgency=low

  * Initial release (closes: #529196)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:20:43 +0200

=== debian/control ===
Source: octave-nlwing2
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/benchmark
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-nlwing2.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-nlwing2.git

Package: octave-nlwing2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: nonlinear lifting line for wings in Octave
 This package allows efficient computation of nonlinear aerodynamic
 properties of a wing in Octave, a scientific computing software. It
 employs 2D section data to build a 3D potential vortex model of the
 flow. It uses a robust Euler-Newton method to track the change of
 flow vorticity quantities as the angle of attack progresses.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/nlwing2-([\d.]+)\.tar\.gz\?download
